import sys
from sys import path as sys_path
from os import path as os_path
import cv2
import numpy as np      



file_path = os_path.dirname(os_path.realpath(__file__))
sys_path.append(file_path + "/../../../")
import rticonnextdds_connector as rti
with rti.open_connector(
        config_name="MyParticipantLibrary::MyPubParticipant",
        url="./Image.xml" ) as connector:
  frameOg = cv2.imread('asd.png')
  frame = cv2.cvtColor(frameOg, cv2.COLOR_BGR2RGB)
  frameString = np.array_str(frame)
  print(type(frameString))
  print(len(frameString))
  output = connector.get_output("MyPublisher::MyImageWriter")

  print("Waiting for subscriptions...")
  output.wait_for_subscriptions()
  output.instance.set_string("frame",frameString)
  output.write()
  output.wait()